//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "MainDemo.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ADOManagerQuery"
#pragma link "TntStdCtrls"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TntButton1Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Login List------------------------");
	ManagerQuery->GetLogins((TTntStringList*)DebugMemo->Lines);

}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton2Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Current Database User List------------------------");
	ManagerQuery->GetUsers((TTntStringList*)DebugMemo->Lines);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton3Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Database List------------------------");
	ManagerQuery->GetAllDatabases((TTntStringList*)DebugMemo->Lines,true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton4Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Database File List------------------------");
	ManagerQuery->GetDBProperties((TTntStringList*)DebugMemo->Lines, "master",true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton5Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------All Logins' Passwords------------------------");
	ManagerQuery->GetAllLoginPassword((TTntStringList*)DebugMemo->Lines);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton6Click(TObject *Sender)
{
	if(ManagerQuery->LoginPrompt())
	{
	DebugMemo->Lines->Add((WideString)"Server: "+ManagerQuery->ServerName);
		DebugMemo->Lines->Add((WideString)"Connection ID: "+ManagerQuery->ConnectionID);
		DebugMemo->Lines->Add((WideString)"Login account: "+ManagerQuery->LoginName);
		DebugMemo->Lines->Add((WideString)"Current database: "+ManagerQuery->DatabaseName);
		DebugMemo->Lines->Add((WideString)"Database user: "+ManagerQuery->DBUser);
	}
	else
	{
		DebugMemo->Lines->Add("Error");;
	}
}
//---------------------------------------------------------------------------


void __fastcall TForm1::TntButton7Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------All connections------------------------");
	ManagerQuery->GetConnections((TTntStringList*)DebugMemo->Lines, false);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton8Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Server version------------------------");
	ManagerQuery->ServerInfo((TTntStringList*)DebugMemo->Lines);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton9Click(TObject *Sender)
{
	TLoginInfo LoginInfos[2];
	LoginInfos[0].LoginName="test1";
	LoginInfos[1].LoginName="test2";
	ManagerQuery->DeleteLogins(LoginInfos,2);
	//delete Logins;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton10Click(TObject *Sender)
{
	DebugMemo->Lines->Add("------------------------Login properties test1------------------------");
	ManagerQuery->GetLoginProperties((TTntStringList*)DebugMemo->Lines, "test1",true);
	DebugMemo->Lines->Add("------------------------Login properties test2------------------------");
	ManagerQuery->GetLoginProperties((TTntStringList*)DebugMemo->Lines, "test2",true);
	DebugMemo->Lines->Add("------------------------Login properties sa------------------------");
	ManagerQuery->GetLoginProperties((TTntStringList*)DebugMemo->Lines, "sa",true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::TntButton11Click(TObject *Sender)
{
	TLoginInfo *LoginInfos=new TLoginInfo[2];
	LoginInfos[0].LoginName="test1";
	LoginInfos[1].LoginName="test2";
	LoginInfos[0].Password="test1";
	LoginInfos[1].Password="test2";
	LoginInfos[0].DefaultDatabase="tempdb";
	LoginInfos[1].DefaultDatabase="tempdb";
	ManagerQuery->CreateLogins(LoginInfos,2);
	delete []LoginInfos;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
	TDBBackupInfo BackupInfo;
	BackupInfo.DBName="msdb";
	BackupInfo.DeviceName="test.bak";
	ManagerQuery->BackupDBFiles(&BackupInfo);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button2Click(TObject *Sender)
{
	ManagerQuery->CreateDatabases((TTntStringList*)(DebugMemo->Lines));
	//DebugMemo->Lines->Add(ManagerQuery->SQL->Text);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button3Click(TObject *Sender)
{
	ManagerQuery->DeleteDatabases((TTntStringList*)DebugMemo->Lines);
}
//---------------------------------------------------------------------------

